<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Utils\BelegungHandler;

use Kufer\Web\KuferTools\Utils\DatamodulHelper\Belegungen\BelegungsHelper;
use Kufer\Web\Classes\Identifier\Identifier;

class Belegungen4VorgesetzterAnhandBeziehung extends BelegungsHelper
{
  private $orderby1;
  private $orderby2;
  private $orderby3;

  public function __construct(\ToolSettings $toolSettings, Identifier $tnrVorgesetzter)
  {
    parent::__construct($toolSettings, $tnrVorgesetzter);
  }

  public function setOrdering($orderby1, $orderby2, $orderby3)
  {
    $this->orderby1 = $orderby1;
    $this->orderby2 = $orderby2;
    $this->orderby3 = $orderby3;
  }

  protected function getBelegungsIds($dbwBelegung)
  {
    $tnrAry = \Kufer\Web\KuferTools\Utils\Spezial\TeilnehmerVorgesetzterUtils::getTeilnehmerIdsOfVorgesetzten($this->tnr);

    return $dbwBelegung->getBelegungsIdsByTeilnehmerNrArray($tnrAry);
  }

  protected function setzeEinstellungen($dbwBelegung)
  {
    return $dbwBelegung;
  }

  
  protected function setzeSortierung($dbwBelegung)
  {
    $dbwBelegung->setOrder('status_1', 'P');
    if (isset($this->orderby1)) {
      $dbwBelegung->orderby2 = $this->orderby1;
    }
    if (isset($this->orderby2)) {
      $dbwBelegung->orderby3 = $this->orderby2;
    }
    if (isset($this->orderby3)) {
      $dbwBelegung->orderby4 = $this->orderby3;
    }

    return $dbwBelegung;
  }

  protected function setzeFilter($dbwBelegung, $pToolId)
  {
    return $dbwBelegung;
  }
}